curl "https://api.mcprank.com/v1/mcp/server?server_id=ai.exa/exa" \
-H "X-API-Key: sk_mcp_rank_..."
import httpx
async with httpx.AsyncClient() as client:
response = await client.get(
"https://api.mcprank.com/v1/mcp/server",
params={"server_id": "ai.exa/exa"},
headers={"X-API-Key": "sk_mcp_rank_..."}
)
server = response.json()
print(f"Server: {server['name']}")
{
"id": "ai.exa/exa",
"name": "Exa Web Search",
"description": "Search the web with Exa's neural search engine",
"remote_url": "https://mcp.exa.ai/v1/mcp",
"auth_required": false,
"auth_type": null
}
MCP Server Proxy
Get Server Info
Get information about an MCP server
GET
/
v1
/
mcp
/
server
curl "https://api.mcprank.com/v1/mcp/server?server_id=ai.exa/exa" \
-H "X-API-Key: sk_mcp_rank_..."
import httpx
async with httpx.AsyncClient() as client:
response = await client.get(
"https://api.mcprank.com/v1/mcp/server",
params={"server_id": "ai.exa/exa"},
headers={"X-API-Key": "sk_mcp_rank_..."}
)
server = response.json()
print(f"Server: {server['name']}")
{
"id": "ai.exa/exa",
"name": "Exa Web Search",
"description": "Search the web with Exa's neural search engine",
"remote_url": "https://mcp.exa.ai/v1/mcp",
"auth_required": false,
"auth_type": null
}
Get Server Info
Get information about an MCP server, including its URL and authentication requirements.Request
curl "https://api.mcprank.com/v1/mcp/server?server_id=ai.exa/exa" \
-H "X-API-Key: sk_mcp_rank_..."
Headers
string
required
Your MCP Rank API key
Query Parameters
string
required
The MCP Rank server ID (e.g.,
ai.exa/exa)Response
string
Server ID
string
Display name of the server
string
Description of what the server does
string
The server’s MCP endpoint URL
boolean
Whether authentication is required to call this server
string
Type of authentication required (if any)
curl "https://api.mcprank.com/v1/mcp/server?server_id=ai.exa/exa" \
-H "X-API-Key: sk_mcp_rank_..."
import httpx
async with httpx.AsyncClient() as client:
response = await client.get(
"https://api.mcprank.com/v1/mcp/server",
params={"server_id": "ai.exa/exa"},
headers={"X-API-Key": "sk_mcp_rank_..."}
)
server = response.json()
print(f"Server: {server['name']}")
{
"id": "ai.exa/exa",
"name": "Exa Web Search",
"description": "Search the web with Exa's neural search engine",
"remote_url": "https://mcp.exa.ai/v1/mcp",
"auth_required": false,
"auth_type": null
}
Error Responses
| Status Code | Description |
|---|---|
| 401 | Missing or invalid API key |
| 404 | Server not found |
| 410 | Server is no longer active |
| 429 | Rate limit exceeded |